import 'dart:io';

void main() {
  // Einlesen des Textes vom Benutzer
  print('Geben Sie einen Text ein:');
  String? inputText = stdin.readLineSync();

  // Überprüfen, ob der Text null oder leer ist
  if (inputText == null || inputText.isEmpty) {
    print('Kein Text eingegeben.');
    return;
  }

  // Aufteilen des Textes in Wörter und Speichern in einer Liste
  List<String> words = inputText.split(' ');

  // Entfernen leerer Einträge (z.B. durch mehrfache Leerzeichen)
  words = words.where((word) => word.isNotEmpty).toList();

  // Zählen der Anzahl der Wörter
  int wordCount = words.length;

  // Ausgabe der Anzahl der Wörter
  print('Anzahl der Wörter: $wordCount');
}
