class Car {
  // Eigenschaften der Klasse Car
  String brand;
  String model;
  int year;
  int _mileage = 0; // Private Eigenschaft

  static int totalCars = 0;

  int get mileage => _mileage;

  // Konstruktor der Klasse
  Car(this.brand, this.model, this.year) {
    totalCars++; // Erhöht die Anzahl der Autos bei jeder Instanziierung
  }

  // Benannter Konstruktor für alte Autos
  Car.oldCar(this.brand, this.model)
      : year = 1990; // Standardjahr für alte Autos

  // Methode zum Anzeigen der Autoinformationen
  void displayInfo() {
    print('Marke: $brand, Modell: $model, Baujahr: $year');
  }
}
